---
layout: post
title: "Roger's HAR2009 talk on Tor performance"
permalink: /har2009-video-tor-performance
date: 2009-08-19
author: arma
category: blog
tags: ["performance", "talks", "videos"]
---

Jake, Mike, Karsten, Sebastian, and I attended [Hacking at Random](https://har2009.org/) last week in The Netherlands. I did a [talk](https://har2009.org/program/events/33.en.html) on Tor performance challenges — basically walking through the key pieces of the ["Why Tor is Slow"](https://blog.torproject.org/blog/why-tor-is-slow) document that we wrote in March.

As usual with European hacking cons, they produced a really well-done video just days after my talk. So if you want to get the highlights on what we're doing to speed up Tor and what roadblocks remain, [take a look at the video](http://freehaven.net/~arma/har2009_Why_Tor_is_slow.mp4) and also the [slides that come with it](http://freehaven.net/~arma/slides-har2009.pdf).

